version: 1.0
secrets:
    svn:
        desc: Usuario y password de SVN. Debiera ser el mismo para todas las aplicaciones. En caso de que no sea así, hay que especificarlo para esa aplicación
    git_repo:
        desc: Usuario (Nombre.apellido) de working_domain y PAT token creado en git_repo
    working_domain:
        desc: Usuario (Nombre.apellido) y password de working_domain
apps:
    - app: mintu
      desc: Gestión de mintuatze
      vcs: git
      modules:
        - url: https://github.com/Bilbao-Goyoaga/mintu
          install:
            - cmd: "[[ ! -d .$CODE_WORKDIR/$app/$module/$module-app/node_modules ]] && npm --prefix .$CODE_WORKDIR/$app/$module/$module-app install --force"
            - cmd: "npm --prefix .$CODE_WORKDIR/$app/$module/$module-app run build"
            - cmd: "mvn -f .$CODE_WORKDIR/$app/$module/$module-server/pom.xml install && cp $CODE_WORKDIR/$app/$module/$module-server/target/*.war $SDG_WORKDIR/server/tomcat_10_1_jre17/webapps"
      install: 
        - cmd: echo $app instalada
      entorno: local
